RPM(8)

NAMN
rpm — RPM-pakethanterare

SYNOPSIS

  Fråga om och verifiera paket
rpm {-q|--query} [urvalsflaggor] [frågeflaggor] [PAKETFIL …] [PAKETNAMN …]

rpm {-V|--verify} [urvalsflaggor] [verifieringsflaggor] [PAKETNAMN …]

  Installera, uppgradera och ta bort paket
rpm {-i|--install} [transaktionsflaggor] [installationsflaggor] PAKETFIL …

rpm {-U|--upgrade} [transaktionsflaggor] [installationsflaggor] PAKETFIL …

rpm {-F|--freshen} [transaktionsflaggor] [installationsflaggor] PAKETFIL …

rpm --reinstall [transaktionsflaggor] [installationsflaggor] PAKETFIL …

rpm --restore [transaktionsflaggor] [urvalsflaggor] PAKETNAMN …

rpm {-e|--erase} [transaktionsflaggor] [raderingsflaggor] PAKETNAMN …

  Diverse åtgärder
rpm --querytags

Se rpm-common(8) för åtgärder gemensamma för alla rpm-program.

BESKRIVNING
rpm är en kraftfull pakethanterare, vilken kan användas för att bygga, installera, fråga om, verifiera, uppdatera och radera enskilda programvarupaket. Ett paket består av ett arkiv med filer och metadata som används för att installera och radera arkivfilerna. Metadatan inkluderar hjälpskript, filattribut och beskrivande information om paketet. Paket finns i två varianter: binärpaket, som används för att kapsla in programvara som skall installeras, och källpaket, som innehåller källkoden och recepten som behövs för att producera binärpaket.

ÅTGÄRDER

  Fråga om och verifiera paket
-V, --verify
    Verifiera paket, genom att jämföra information om de installerade filerna i paketet med information om filerna som tas från paketets metadata lagrad i rpm-databasen. Bland annat jämför verifieringen storleken, kontrollsumman, rättigheterna, typen, ägaren och gruppen för varje fil. Alla avvikelser visas.
-q, --query
    Fråga om paketfiler eller installerade paket.

  Installera, uppgradera och ta bort paket
-i, --install
    Installera nya paket utan att överväga uppgraderingsscenarion. Detta ses som en speciell användning, normalt skall installationer göras med --upgrade.

-U, --upgrade
    Installera eller uppgradera paket till en nyare version. Gamla eller utfasade paket tas bort efter att det nya paketet installerats.

-F, --freshen
    Uppgradera paket, men endast de för vilka en tidigare version är installerad.

--reinstall
    Ominstallera tidigare installerade paket.

--restore
    Återställ filmetadata såsom tidsstämpel, ägare, grupp, rättigheter och förmågor på filer i installerade paket.

-e, --erase
    Radera installerade paket.

  Diverse åtgärder
--querytags
    Dumpa kända frågetaggar. Användbart med flaggan --queryformat.

  Föråldrat kompatibilitetsalias
Dessa är föråldrade popt(3)-alias enbart för bakåtkompatibilitet, och det avråds från att använda dem.

--initdb, --rebuilddb, --verifydb
    Se rpmdb(8).

--addsign, --delsign, --resign
    Se rpmsign(1).

-K, --checksig, --import
    Se rpmkeys(8).

--specfile
    Se rpmspec(1).

Se rpm-common(8) för åtgärderna gemensamma för alla rpm-program.

ARGUMENT
PAKETFIL
    Antingen ett rpm-paket eller en rpm-manifest(5)-fil. Kan även anges som en ftp- eller http-URL, i vilket fall paketet kommer hämtas före det installeras. Se FTP-/HTTP-FLAGGOR för information om rpms klientstöd för ftp och http.

PAKETNAMN
    Det installerade paketet med namnet PAKETNAMN. För att ange paketet mer exakt kan paketnamnet följas av versionen eller versionen och utgåvan båda separerade av ett bindestreck eller ett arkitekturnamn separerat av en punkt. Se utdata från rpm -qa eller rpm -qp PAKETFIL som ett exempel.

FLAGGOR
Se rpm-common(8) för flaggorna gemensamma för alla åtgärder.

INSTALLATIONS- OCH UPPGRADERINGSFLAGGOR
--allfiles
    Installerar eller uppgraderar alla missingok-filer i paketet, oavsett om de finns.

--badreloc
    Använt med --relocate tillåts omlokaliseringar av alla filsökvägar, inte bara de GAMMALSÖKVÄG:ar som är inkluderade i binärpaketets omlokaliseringsanvisningar.

--excludepath GAMMALSÖKVÄG
    Installera inte filer vars namn börjar med GAMMALSÖKVÄG.

--excludeartifacts
    Installera inte några filer som är markerade som artifakter, såsom bygg-id-länkar.

--excludeconfigs, --noconfigs
    Installera inte konfigurationsfiler.

--excludedocs
    Installera inte några filer som är markerade som dokumentation (vilket inkluderar manualsidor och texinfo-dokument).

--force
    Samma som att använda --replacepkgs, --replacefiles och --oldpackage.

--ignoresize
    Kontrollera inte de monterade filsystemen om det finns tillräckligt med diskutrymme före installation av detta paket.

--ignorearch
    Tillåt installation eller uppgradering även om arkitekturen av binärpaketet och värden inte stämmer överens.

--ignoreos
    Tillåt installation eller uppgradering även om operativsystemet för binärpaketet och värden inte stämmer överens.

--includedocs
    Installera dokumentationsfiler. Detta är standardbeteendet.

--nocontexts
    Sätt inte SELinux-kontexter för filer och skript. Har endast någon effekt om rpm-plugin-selinux(8) är installerad och aktiv.

--nocaps
    Verifiera inte filförmågor.

--noverify
    Verifiera inte paketfiler före installationen.

--nosysusers
    Skapa inte sysusers från paketen

--oldpackage
    Tillåt en uppgradering att ersätta ett nyare paket med ett äldre.

--prefix NYSÖKVÄG
    För relokerbara binärpaket, översätt alla filsökvägar som börjar med installationsprefixet i paketets omlokaliseringsanvisningar till NYSÖKVÄG.

--relocate GAMMALSÖKVÄG=NYSÖKVÄG
    För relokerbara binärpaket, översätt alla filer som börjar med GAMMALSÖKVÄG i paketets omlokaliseringsanvisningar till NYSÖKVÄG. Denna flagga kan användas upprepade gånger om flera GAMMALSÖKVÄGar i paketet skall omlokaliseras.

--replacefiles
    Installera paketen även om de ersätter filer från andra, redan installerade, paket.

--replacepkgs
    Installera paketen även om några av dem redan är installerade på detta system.

RADERINGSFLAGGOR
--allmatches
    Ta bort alla versioner av paketet som matchar PAKETNAMN. Normalt blir det ett fel om PAKETNAMN matchar flera paket.

TRANSAKTIONSFLAGGOR
Transaktionsflaggorna är gemensamma för åtgärderna --install, --upgrade, --reinstal och --erase.

--deploops
    Skriv ut beroendeslingor som varningar.

-h, --hash
    Skriv 50 fyrkanter allteftersom paketarkivet packas upp. Använd med -v|--verbose för en snyggare visning

--justdb
    Uppdatera endast databasen, inte filsystemet.

--nodb
    Uppdatera endast filsystemet, inte databasen.

--nodeps
    Kontrollera inte beroenden före paketen avinstalleras.

--noorder
    Ändra inte ordningen på paket vid en installation.Paketlistan ordnas normalt om för att uppfylla beroenden.

--noplugins
    Läs inte in och kör insticksmoduler.

--noscripts
    Avaktiverar körningen av paketskript. Ekvivalent med

    --nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans

--nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans
    Kör inte skripten av den namngivna typen.

--notriggers
    Avaktivera körningen av paketutlösare. Ekvivalent med

    --notriggerprein --notriggerin --notriggerun --notriggerpostun

--notriggerin --notriggerun --notriggerprein --notriggerpostun
    Avaktivera körningen av utlösarskripten av den namngivna typen.

--percent
    Skriv ut procentsatser allteftersom filer packas upp från paketarkivet. Detta är tänkt att göra rpm lätt att köra från andra verktyg.

--test
    Gör inte faktiskt någonting, gå bara igenom rörelserna. Användbart tillsammans med flaggan -vv för felsökning.

FRÅGEFLAGGOR
--qf FRÅGEFMT, --queryformat FRÅGEFMT
    Utdataformat för varje omfrågat paket, så som det beskrivs av rpm-queryformat(7). Om utelämnat används formatet som definieras av %_query_all_fmt i rpm-config(5).

Det finns tre undergrupper av flaggor för frågor: paketval, filval och informationsval.

PAKETVALSFLAGGOR
-a, --all [VÄLJARE …]
    Fråga om alla installerade paket.

    Frivilliga VÄLJARE på formen tagg=mönster kan ges för att snäva in valet, till exempel name="b*" för att fråga om paket vars namn börjar med ”b”.

--dupes
    Lista dubblerade paket.

-f, --file FIL
    Fråga om paketet som äger den installerade FILen.

--filecaps
    Lista filnamn med POSIX1.e-förmågor.

--fileclass
    Lista filnamn med deras klasser (libmagic-klassificering).

--filecolor
    Lista filnamn med sina färger (0 för arkfri, 1 för 32-bitars, 2 för 64-bitars).

--fileprovide
    Lista filnamn med sina tillhandahållanden.

--filerequire
    Lista filnamn med sina begäranden.

-g, --group GRUPP
    Fråga om paket med gruppen GRUPP.

--noglob
    "Globba" inte argument när paketfiler installeras.

--nomanifest
    Bearbeta inte andra filer än paket som om de vore rpm-manifest(5)-filer.

-p, --package PAKETFIL
    Fråga om ett (oinstallerat) paket PAKETFIL.

--path SÖKVÄG
    Fråga paket som äger SÖKVÄG, oavsett huruvida filen är installerad eller inte. Flera paket kan äga en SÖKVÄG, men filen ägs bara av paketet som installerats sist.

--querybynumber HVDNUM
    Fråga om databasposten HVDNUM direkt; detta är bara användbart för felsökning.

--specfile SPECFIL
    Utfasat, använd rpmspec(1) istället.

--tid TID
    Fråga paket som har en given transaktionsidentifierare TID. En UNIX-tidsstämpel används för närvarande som en transaktionsidentifierare. Alla paket som installerades eller raderades i en enda transaktion har en gemensam identifierare.

--triggeredby PAKETNAMN
    Fråga om paket som utlöses av paketen PAKETNAMN.

--whatobsoletes FÖRMÅGA
    Fråga om alla paket som fasar ut FÖRMÅGA för att fungera korrekt.

--whatprovides FÖRMÅGA
    Fråga om alla paket som tillhandahåller förmågan FÖRMÅGA.

--whatrequires FÖRMÅGA
    Fråga om alla paket som behöver FÖRMÅGA för att fungera korrekt.

--whatconflicts FÖRMÅGA
    Fråga om alla paket som står i konflikt med FÖRMÅGA.

--whatrecommends FÖRMÅGA
    Fråga om alla paket som rekommenderar FÖRMÅGA.

--whatsuggests FÖRMÅGA
    Fråga om alla paket som föreslår FÖRMÅGA.

--whatsupplements FÖRMÅGA
    Fråga om alla paket som kompletterar FÖRMÅGA.

--whatenhances FÖRMÅGA
    Fråga om alla paket som förbättrar FÖRMÅGA.

PAKETFRÅGEFLAGGOR

--changelog
    Visa ändringsinformation för paketet.

--changes
    Visa ändringsinformation för paketet med fullständiga tidsstämplar.

--conflicts
    Lista förmågor som detta paket står i konflikt med.

--dump
    Dumpa ut filinformation enligt följande (implicerar -l):

    sökväg storlek mtid kontrollsumma rättigheter ägare grupp är-konfig är-dok rdev symlänk

--enhances
    Lista förmågor som förbättras av paketet.

--filesbypkg
    Lista alla filerna i varje valt paket.

--filetriggers
    Lista filutlösarskript från paketen.

-i, --info
    Visa paketinformation, inklusive namn, version och beskrivning. Detta använder --queryformat om det angivits en.

--last
    Ordna paketlistan efter installationstidpunkten så att de senaste paketen är överst.

-l, --list
    Lista filer i paketen.

--obsoletes
    Lista paket som detta paket fasar ut.

--provides
    Lista förmågor detta paket tillhandahåller.

--recommends
    Lista förmågor som rekommenderas av paketet.

-R, --requires
    Lista förmågor vilka detta paket beror på.

--suggests
    Lista förmågor som föreslås av paketet.

--supplements
    Lista förmågor som kompletteras av paketet.

--scripts
    Lista alla paketspecifika skript som används som en del av installations- och avinstallationsprocesserna.

-s, --state
    Visa tillstånden för filer i paketet (implicerar -l). Tillståndet för varje fil är en av normal, oinstallerad eller ersatt.

--triggers, --triggerscripts
    Visa utlösarskripten, om några, som ingår i paketet.

--xml
    Formatera pakethuvuden som XML.

FILVALSFLAGGOR
-A, --artifactfiles
    Inkludera endast artifaktfiler (implicerar -l).

-c, --configfiles
    Inkludera endast konfigurationsfiler (implicerar -l).

-d, --docfiles
    Inkludera endast dokumentationsfiler (implicerar -l).

-L, --licensefiles
    Inkludera endast licensfiler (implicerar -l).

--noartifact
    Exkludera artifaktfiler.

--noconfig
    Exkludera konfigurationsfiler.

--noghost
    Exkludera spökfiler.

VERIFIERINGSFLAGGOR

Paketet och filvalsflaggorna är desamma som vid frågor om paket (inklusive rpm-manifest(5)-filer som argument). Andra flaggor som är unika för verifieringsläget är:

--nodeps
    Verifiera inte beroenden hos paket.

--nodigest
    Verifiera inte paketets eller huvudets kontrollsummor vid läsning.

--nofiles
    Verifiera inte några attribut hos paketfiler.

--noscripts
    Kör inte skriptet %verifyscript (om det finns något).

--nosignature
    Verifiera inte paketets eller huvudets signaturer vid läsning.

--nolinkto --nofiledigest (tidigare --nomd5) --nosize --nomtime --nomode --nordev
    Verifiera inte motsvarande filattribut.

--nouser --nogroup
    Verifiera inte filers användar-/gruppägande. Observera att endast de lokala databaserna passwd(5) och group(5) konsulteras.

--nocaps
    Verifiera inte filförmågor.

UTDATA
--verify
    Formatet på utdata är en sträng med 9 resultattecken för ett möjligt attribut från paketet, följt av filnamnet.

    Vart och ett av de 9 tecknen markerar resultatet av en jämförelse av attribut hos filen med värdet för det attributet som noterats i databasen.

    En ensam ”.” (punkt) betyder att testet lyckades, medan ett ensamt ”?” (frågetecken) indikerar att testet inte kunde utföras (t.ex. filrättigheterna förhindrar läsning). Annars markerar tecknet (mnemoniskt i Fetstil) en avvikelse i motsvarande --verify-test:

Resultat | Beskrivning
S | filens Storlek skiljer
M | rättigheter (Mode) skiljer (inkluderar rättigheter och filtyp)
5 | kontrollsumman (tidigare MD5-summan) skiljer
D | enhetens (Device) övre/undre nummer skiljer
L | readLink(2) på sökvägen skiljer
U | användaren (User) som äger skiljer
G | Grupp som äger skiljer
T | mTid skiljer
P | förmågor (caPabilities) skiljer

Attribut | Beskrivning
a | %artifact — en implicit sidoeffektsfil (t.ex. build-id-länkar)
c | %config konfigurationsfil
d | %doc dokumentationsfil
g | %ghost-fil
l | %license licensfil
m | %missingok — att filen saknas är inte ett verifikationsfel
n | %config(noreplace) — ersätt inte (en %config-fil)
r | %readme-fil
s | rm-spec(5)-fil i ett källpaket

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpm -Uvh hej-2.0-1.noarch.rpm
    Installera eller uppgradera paketet hej-2.0-1.noarch.rpm med utförlig utmatning och förloppsmätare. -Uvh är förmodligen den vanligaste av alla rpm-åtgärderna.

rpm -Uvh --excludedocs --root /srv/test mindist-23.mft
    Installera paket som beskrivs i rpm-manifest(5)-filen mindist-23.mft in i den alternativa systemroten på /srv/test, men exkludera alla dokumentationsfiler.

rpm -Fvh *.rpm
    Fräscha upp installerade paket från en lokal katalog, med utförlig utmatning och förloppsmätare.

rpm -i kernel-6.15.4-200.x86_64.rpm
    Installera paketet kernel-6.15.4-200.x86_64.rpm tyst. På vissa Linux-distributioner är olika kärnor avsedda att installeras parallellt på detta sätt, utan att radera äldre för att säkerställa att det finnes en kärna som går att starta ifall problem uppstår. Det är ett av de få fallen där -i är rätt sak att göra.

rpm -evh --allmatches libhej
    Radera alla versioner av paketet libhej på systemet, med utförlig utmatning och förloppsmätare. Normalt finns det bara en version av ett paket installerat åt gången, men i vissa fall är det möjligt att ha olika versioner eller olika arkitekturer av ett paket installerat parallellt, då --allmatches kan vara praktiskt.

rpm -vh --reinstall hej-2.0-1.noarch.rpm
    Installera om ett tidigare installerat paket hej-2.0-1.noarch.rpm, med utförlig utmatning och förloppsetiketter. Användbar om t.ex. filerna i paketet går sönder eller raderas av misstag.

rpm -v --restore --all
    Återställ rättigheter på filer i alla installerade paket till deras paketerade specifikationer, med utförlig utmatning.

rpm --verify --noconfig openssh-server
    Verifiera integriteten hos det installerade paketet openssh-server, men ignorera ändringar i konfigurationen.

rpm -qa
    Lista alla installerade paket med standardformateringen.

rpm -qlv --noartifact glibc
    Lista filerna i paketet glibc i en stil liknande utmatningen från kommandot ls(1) med ls -l, och utelämna ”artifaktfiler” såsom bygg-id:n vilka normalt inte är huvudintresset.

rpm -q --qf "[%{filenames} %{filedigests}\n]" openssh-server
    Lista filnamnen och deras motsvarande kontrollsummor i det installerade paketet openssh-server.

rpm -qp --scripts --triggers --filetriggers minserver-1.0-1.x86_64.rpm
    Visa alla skript och utlösare från paketfilen minserver-1.0-1.x86_64.rpm. Före installation av okända paket, gör åtminstone detta!

rpm --target ppc64le --eval "%optflags"
    Skriv ut expansionen av makrot %optflags för arkitekturen ppc64le.

FILER
Se rpm-common(8), rpm-config(5) och rpm-rpmrc(5).

SE ÄVEN
rpm-common(8), popt(3), rpm2cpio(1), rpmbuild(1), rpmdb(8), rpmkeys(8), rpmsign(1), rpmspec(1), rpm-queryformat(7) rpm-manifest(5) rpm-version(7) rpm-plugins(8)

rpm --help — eftersom rpm stödjer anpassning av flaggor via popt-alias är det omöjligt att garantera att vad som beskrivs i manualen stämmer med vad som finns tillgängligt.

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.